package com.gct.dlmodel.controller;

import com.alibaba.fastjson.JSONObject;
import com.gct.common.core.result.Result;
import com.gct.dlmodel.entity.vo.ModelFileParam;
import com.gct.dlmodel.service.OSSService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @author xusirui 2021/11/15
 */
@RestController()
@RequestMapping("/train-server-side-car")
@Api(description = "模型训练跨斗服务")
public class OSSController {

    @Autowired
    OSSService ossService;

    @ApiOperation("上传train server 训练出来的模型文件")
    @PostMapping("/upload-model-file")
    public Result uploadModelFile(@RequestBody ModelFileParam param
    ) {
        return ossService.uploadModel(param.getBucketName(),
                param.getObjectName(), param.getLocalPath(), param.getNewVersion(),
                param.getMasterId(), param.getPartitionId());
    }

}
