package com.gct.dlmodel.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * <p>
 * 
 * </p>
 *
 * @author lloyd
 * @since 2021-08-15
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="ModelResource对象", description="")
public class ModelResource extends Model<ModelResource> {

    private static final long serialVersionUID=1L;

    private Integer id;

    private String masterId;

    private Integer partitionId;

    private String masterName;

    private String partitionName;

    private Integer machineId;

    @ApiModelProperty(value = "版本标记")
    private String versionMark;

    @ApiModelProperty(value = "是否被发布0:待定1:已发布2:未发布3:撤销 弃用")
    private Integer isPublished;

    @ApiModelProperty(value = "本地相对地址，相对于machine配置的本地存储目录")
    private String localPath;

    @ApiModelProperty(value = "发布的地址，相对于machine配置的线上主目录")
    private String publishedUrl;

    @ApiModelProperty(value = "备注")
    private String remark;

    @ApiModelProperty(value = "file_size:MB")
    private BigDecimal fileSize;

    @TableField(fill = FieldFill.INSERT)
    private LocalDateTime createTime;

    @TableField(fill = FieldFill.UPDATE)
    private LocalDateTime updateTime;

    private Integer trainSampleSourceId;

    private Integer trainSampleSourceVersion;

    private Integer uploadState;

    private String uploadStateDesc;

    @Override
    protected Serializable pkVal() {
        return this.id;
    }

}
